Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class NewStaticMetaMethod

A MetaMethod implementation where the underlying method is really a static helper method on some class. This implementation is used to add new static methods to the JDK writing them as normal static methods with the first parameter being the class on which the method is added.

author:
  Guillaume Laforge

version:
  $Revision: 8959 $

Constructor Summary
`NewStaticMetaMethod(CachedMethod method)`

Method Summary
`int` | `getModifiers()`
`Object` | `invoke(Object object, def arguments)`
`boolean` | `isStatic()`

Constructor Detail

### NewStaticMetaMethod

    public NewStaticMetaMethod(CachedMethod method)

Method Detail

### getModifiers

    public int getModifiers()

### invoke

    public Object invoke(Object object, def arguments)

### isStatic

    public boolean isStatic()